summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_patchin.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2015-07-10 11:54:54 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2015-07-27 13:57:52 +0200
commit2c5379c9dcd9313ebcf39e35c02c33196fd3929d (patch)
tree1843a5c53d34043d8fbb60139ca8372864201fb2 /scripts/lib/ptxd_make_world_patchin.sh
parent92638b77f491b436be530af7a263c4fe6ee22e7e (diff)
downloadptxdist-2c5379c9dcd9313ebcf39e35c02c33196fd3929d.tar.gz
ptxdist-2c5379c9dcd9313ebcf39e35c02c33196fd3929d.tar.xz
ptxd_make_world_patchin_apply_git: fail on error
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_patchin.sh')
-rw-r--r--scripts/lib/ptxd_make_world_patchin.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/lib/ptxd_make_world_patchin.sh b/scripts/lib/ptxd_make_world_patchin.sh
index e447e0546..90f457412 100644
--- a/scripts/lib/ptxd_make_world_patchin.sh
+++ b/scripts/lib/ptxd_make_world_patchin.sh
@@ -143,9 +143,9 @@ ptxd_make_world_patchin_apply_git()
git quiltimport \
--patches "${pkg_patchin_dir}/.ptxdist/git-patches" \
- --author "unknown author <unknown.author@example.com>"
- echo "tagging -> ${tag}"
- git tag -f ${tag}
+ --author "unknown author <unknown.author@example.com>" &&
+ echo "tagging -> ${tag}" &&
+ git tag -f ${tag} &&
mv ${pkg_patchin_dir}/.ptxdist/git-patches/series{,.${tag}} || return
mv ${pkg_patchin_dir}/.ptxdist/git-patches/series{.1,} || return
fi
@@ -153,12 +153,12 @@ ptxd_make_world_patchin_apply_git()
git quiltimport \
--patches "${pkg_patchin_dir}/.ptxdist/git-patches" \
- --author "unknown author <unknown.author@example.com>"
+ --author "unknown author <unknown.author@example.com>" &&
# skip patches generated by other tools with '# <tool>-end' as end marker
if tail -n1 "${pkg_patchin_dir}/.ptxdist/series" | grep -q '# [^ ]*-end$'; then
local last="$(sed -n 's/^0*\([1-9][0-9]*\)-.*/\1/p' "${pkg_patchin_dir}/.ptxdist/series" | tail -n1)"
- git tag -f base
+ git tag -f base || return
local next=1000
if [ -n "${last}" ]; then
next="$[(1+${last}/1000)*1000]"